## purple-discord 0.9.2017.12.27.git.9b7c3ad

=== Makefile ===

PIDGIN_TREE_TOP ?= ../pidgin-2.10.11
PIDGIN3_TREE_TOP ?= ../pidgin-main
LIBPURPLE_DIR ?= $(PIDGIN_TREE_TOP)/libpurple
WIN32_DEV_TOP ?= $(PIDGIN_TREE_TOP)/../win32-dev

WIN32_CC ?= $(WIN32_DEV_TOP)/mingw-4.7.2/bin/gcc

PROTOC_C ?= protoc-c
PKG_CONFIG ?= pkg-config

DIR_PERM = 0755
LIB_PERM = 0755
FILE_PERM = 0644

# Note: Use "-C .git" to avoid ascending to parent dirs if .git not present
GIT_REVISION_ID = $(shell git -C .git rev-parse --short HEAD 2>/dev/null)
REVISION_ID = $(shell hg id -i 2>/dev/null)
REVISION_NUMBER = $(shell hg id -n 2>/dev/null)
ifneq ($(REVISION_ID),)
PLUGIN_VERSION ?= 0.9.$(shell date +%Y.%m.%d).git.r$(REVISION_NUMBER).$(REVISION_ID)
else ifneq ($(GIT_REVISION_ID),)
PLUGIN_VERSION ?= 0.9.$(shell date +%Y.%m.%d).git.$(GIT_REVISION_ID)
else
PLUGIN_VERSION ?= 0.9.$(shell date +%Y.%m.%d)
endif

CFLAGS	?= -O2 -g -pipe -Wall
LDFLAGS ?= -Wl,-z,relro

CFLAGS  += -std=c99 -DDISCORD_PLUGIN_VERSION='"$(PLUGIN_VERSION)"'

# Comment out to disable localisation
CFLAGS += -DENABLE_NLS

# Do some nasty OS and purple version detection
ifeq ($(OS),Windows_NT)
  DISCORD_TARGET = libdiscord.dll
  DISCORD_DEST = "$(PROGRAMFILES)/Pidgin/plugins"
  DISCORD_ICONS_DEST = "$(PROGRAMFILES)/Pidgin/pixmaps/pidgin/protocols"
  LOCALEDIR = "$(PROGRAMFILES)/Pidgin/locale"
else
  UNAME_S := $(shell uname -s)

  #.. There are special flags we need for OSX
  ifeq ($(UNAME_S), Darwin)
    #
    #.. /opt/local/include and subdirs are included here to ensure this compiles
    #   for folks using Macports.  I believe Homebrew uses /usr/local/include
    #   so things should "just work".  You *must* make sure your packages are
    #   all up to date or you will most likely get compilation errors.
    #
    INCLUDES = -I/opt/local/include -lz $(OS)

    CC = gcc
  else
    CC ?= gcc
  endif

  ifeq ($(shell $(PKG_CONFIG) --exists purple-3 2>/dev/null && echo "true"),)
    ifeq ($(shell $(PKG_CONFIG) --exists purple 2>/dev/null && echo "true"),)
      DISCORD_TARGET = FAILNOPURPLE
      DISCORD_DEST =
      DISCORD_ICONS_DEST =
    else
      DISCORD_TARGET = libdiscord.so
      DISCORD_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=plugindir purple`
      DISCORD_ICONS_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple`/pixmaps/pidgin/protocols
      LOCALEDIR = $(DESTDIR)$(shell $(PKG_CONFIG) --variable=datadir purple)/locale
    endif
  else
    DISCORD_TARGET = libdiscord3.so
    DISCORD_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=plugindir purple-3`
    DISCORD_ICONS_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple-3`/pixmaps/pidgin/protocols
    LOCALEDIR = $(DESTDIR)$(shell $(PKG_CONFIG) --variable=datadir purple-3)/locale
  endif
endif

WIN32_CFLAGS = -std=c99 -I$(WIN32_DEV_TOP)/glib-2.28.8/include -I$(WIN32_DEV_TOP)/glib-2.28.8/include/glib-2.0 -I$(WIN32_DEV_TOP)/glib-2.28.8/lib/glib-2.0/include -I$(WIN32_DEV_TOP)/json-glib-0.14/include/json-glib-1.0 -DENABLE_NLS -DDISCORD_PLUGIN_VERSION='"$(PLUGIN_VERSION)"' -Wall -Wextra -Werror -Wno-deprecated-declarations -Wno-unused-parameter -fno-strict-aliasing -Wformat
WIN32_LDFLAGS = -L$(WIN32_DEV_TOP)/glib-2.28.8/lib -L$(WIN32_DEV_TOP)/json-glib-0.14/lib -lpurple -lintl -lglib-2.0 -lgobject-2.0 -ljson-glib-1.0 -g -ggdb -static-libgcc -lz
WIN32_PIDGIN2_CFLAGS = -I$(PIDGIN_TREE_TOP)/libpurple -I$(PIDGIN_TREE_TOP) $(WIN32_CFLAGS)
WIN32_PIDGIN3_CFLAGS = -I$(PIDGIN3_TREE_TOP)/libpurple -I$(PIDGIN3_TREE_TOP) -I$(WIN32_DEV_TOP)/gplugin-dev/gplugin $(WIN32_CFLAGS)
WIN32_PIDGIN2_LDFLAGS = -L$(PIDGIN_TREE_TOP)/libpurple $(WIN32_LDFLAGS)
WIN32_PIDGIN3_LDFLAGS = -L$(PIDGIN3_TREE_TOP)/libpurple -L$(WIN32_DEV_TOP)/gplugin-dev/gplugin $(WIN32_LDFLAGS) -lgplugin

CFLAGS += -DLOCALEDIR=\"$(LOCALEDIR)\"

C_FILES :=
PURPLE_COMPAT_FILES :=
PURPLE_C_FILES := libdiscord.c $(C_FILES)

.PHONY:	all install FAILNOPURPLE clean install-icons install-locales %-locale-install

LOCALES = $(patsubst %.po, %.mo, $(wildcard po/*.po))

all: $(DISCORD_TARGET)

libdiscord.so: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
	$(CC) -fPIC $(CFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple glib-2.0 json-glib-1.0 --libs --cflags`  $(INCLUDES) -Ipurple2compat -g -ggdb

libdiscord3.so: $(PURPLE_C_FILES)
	$(CC) -fPIC $(CFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple-3 glib-2.0 json-glib-1.0 --libs --cflags` $(INCLUDES)  -g -ggdb

libdiscord.dll: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
	$(WIN32_CC) -O0 -g -ggdb -shared -o $@ $^ $(WIN32_PIDGIN2_CFLAGS) $(WIN32_PIDGIN2_LDFLAGS) -Ipurple2compat

libdiscord3.dll: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
	$(WIN32_CC) -O0 -g -ggdb -shared -o $@ $^ $(WIN32_PIDGIN3_CFLAGS) $(WIN32_PIDGIN3_LDFLAGS)

po/purple-discord.pot: libdiscord.c
	xgettext $^ -k_ --no-location -o $@

po/%.po: po/purple-discord.pot
	msgmerge $@ po/purple-discord.pot > tmp-$*
	mv -f tmp-$* $@

po/%.mo: po/%.po
	msgfmt -o $@ $^

%-locale-install: po/%.mo
	install -D -m $(FILE_PERM) -p po/$(*F).mo $(LOCALEDIR)/$(*F)/LC_MESSAGES/purple-discord.mo

install: $(DISCORD_TARGET) install-icons install-locales
	mkdir -m $(DIR_PERM) -p $(DISCORD_DEST)
	install -m $(LIB_PERM) -p $(DISCORD_TARGET) $(DISCORD_DEST)

install-icons: discord16.png discord22.png discord48.png
	mkdir -m $(DIR_PERM) -p $(DISCORD_ICONS_DEST)/16
	mkdir -m $(DIR_PERM) -p $(DISCORD_ICONS_DEST)/22
	mkdir -m $(DIR_PERM) -p $(DISCORD_ICONS_DEST)/48
	install -m $(FILE_PERM) -p discord16.png $(DISCORD_ICONS_DEST)/16/discord.png
	install -m $(FILE_PERM) -p discord22.png $(DISCORD_ICONS_DEST)/22/discord.png
	install -m $(FILE_PERM) -p discord48.png $(DISCORD_ICONS_DEST)/48/discord.png

install-locales: $(patsubst po/%.po, %-locale-install, $(wildcard po/*.po))

FAILNOPURPLE:
	echo "You need libpurple development headers installed to be able to compile this plugin"

clean:
	rm -f $(DISCORD_TARGET)

gdb:
	gdb --args pidgin -c ~/.fake_purple -n -m

=== debian/changelog ===
purple-discord (0.9.2017.12.27.git.9b7c3ad-1) unstable; urgency=medium

  * Initial release (Closes: #886707)

 -- Paul Wise <pabs@debian.org>  Tue, 09 Jan 2018 13:54:15 +0800

=== debian/control ===
Source: purple-discord
Section: net
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper (>= 10),
 libglib2.0-dev,
 libjson-glib-dev,
 libpurple-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/EionRobb/purple-discord/

Package: purple-discord
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 harmony,
Enhances:
 finch,
 pidgin,
Description: Discord messaging service plugin for libpurple
 A plugin for libpurple that adds the option to use the Discord messaging
 service in all libpurple-based clients (including Pidgin and Finch).
 .
 This plugin does not support creating and managing Discord accounts,
 please use the harmony package for those tasks.

## purple-discord 0.9.2018.06.01.git.38b295b

=== Makefile ===
--- 
+++ 
@@ -35,10 +35,15 @@
 
 # Do some nasty OS and purple version detection
 ifeq ($(OS),Windows_NT)
+  #only defined on 64-bit windows
+  PROGFILES32 = ${ProgramFiles(x86)}
+  ifndef PROGFILES32
+    PROGFILES32 = $(PROGRAMFILES)
+  endif
   DISCORD_TARGET = libdiscord.dll
-  DISCORD_DEST = "$(PROGRAMFILES)/Pidgin/plugins"
-  DISCORD_ICONS_DEST = "$(PROGRAMFILES)/Pidgin/pixmaps/pidgin/protocols"
-  LOCALEDIR = "$(PROGRAMFILES)/Pidgin/locale"
+  DISCORD_DEST = "$(PROGFILES32)/Pidgin/plugins"
+  DISCORD_ICONS_DEST = "$(PROGFILES32)/Pidgin/pixmaps/pidgin/protocols"
+  LOCALEDIR = "$(PROGFILES32)/Pidgin/locale"
 else
   UNAME_S := $(shell uname -s)
 
@@ -96,10 +101,10 @@
 all: $(DISCORD_TARGET)
 
 libdiscord.so: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
-	$(CC) -fPIC $(CFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple glib-2.0 json-glib-1.0 --libs --cflags`  $(INCLUDES) -Ipurple2compat -g -ggdb
+	$(CC) -fPIC $(CFLAGS) $(CPPFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple glib-2.0 json-glib-1.0 --libs --cflags`  $(INCLUDES) -Ipurple2compat -g -ggdb
 
 libdiscord3.so: $(PURPLE_C_FILES)
-	$(CC) -fPIC $(CFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple-3 glib-2.0 json-glib-1.0 --libs --cflags` $(INCLUDES)  -g -ggdb
+	$(CC) -fPIC $(CFLAGS) $(CPPFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple-3 glib-2.0 json-glib-1.0 --libs --cflags` $(INCLUDES)  -g -ggdb
 
 libdiscord.dll: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
 	$(WIN32_CC) -O0 -g -ggdb -shared -o $@ $^ $(WIN32_PIDGIN2_CFLAGS) $(WIN32_PIDGIN2_LDFLAGS) -Ipurple2compat

=== debian/changelog ===
purple-discord (0.9.2018.06.01.git.38b295b-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Mon, 04 Jun 2018 11:22:19 +0800

purple-discord (0.9.2018.05.15.git.8776962-1) unstable; urgency=medium

  * New upstream snapshot
    - Drop patch, applied upstream
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Tue, 15 May 2018 13:01:51 +0800

purple-discord (0.9.2018.04.01.git.dd1ea7a-1) unstable; urgency=medium

  * New upstream snapshot
  * Correct bogus suggests on harmony to python3-harmony
  * Bump debhelper compat to current version
  * Add patch that adds CPPFLAGS to the gcc command-line

 -- Paul Wise <pabs@debian.org>  Wed, 04 Apr 2018 15:41:09 +0800

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11~),
  libglib2.0-dev,
  libjson-glib-dev,
  libpurple-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/EionRobb/purple-discord/
 
 Package: purple-discord
@@ -16,7 +16,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
- harmony,
+ python3-harmony,
 Enhances:
  finch,
  pidgin,

## purple-discord 0.9.2019.02.07.git.e5d9627

=== debian/changelog ===
purple-discord (0.9.2019.02.07.git.e5d9627-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Sat, 09 Feb 2019 10:54:10 +0800

purple-discord (0.9.2019.01.17.git.f84f38e-1) unstable; urgency=medium

  * New upstream snapshot
  * Depend on tools for building the new logo

 -- Paul Wise <pabs@debian.org>  Fri, 18 Jan 2019 06:56:58 +0800

purple-discord (0.9.2019.01.15.git.bc6eee3-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Thu, 17 Jan 2019 09:48:10 +0800

purple-discord (0.9.2018.12.10.git.14bc817-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Mon, 10 Dec 2018 15:46:34 +0800

purple-discord (0.9.2018.12.02.git.9f0a6ff-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Thu, 06 Dec 2018 12:56:04 +0800

purple-discord (0.9.2018.10.30.git.c5b45c3-1) unstable; urgency=medium

  * New upstream snapshot
    - Uses zlib for stream compression, add build-dep
  * Switch from debian/compat to build-dep on debhelper-compat
  * Update Standards-Version, no changes needed
  * Add Rules-Requires-Root no, binaries are identical

 -- Paul Wise <pabs@debian.org>  Sat, 03 Nov 2018 16:38:56 +0800

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,15 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 11),
+ imagemagick,
  libglib2.0-dev,
  libjson-glib-dev,
  libpurple-dev,
-Standards-Version: 4.1.4
+ librsvg2-bin,
+ libz-dev,
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/
 
 Package: purple-discord

## purple-discord 0.9.2019.06.12.git.f8ea0ae

=== debian/changelog ===
purple-discord (0.9.2019.06.12.git.f8ea0ae-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump Standards-Version, no changes needed
  * Bump debhelper-compat, no changes needed

 -- Paul Wise <pabs@debian.org>  Tue, 09 Jul 2019 13:47:05 +0800

## purple-discord 0.9.2019.07.29.git.763ba75

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 CFLAGS	?= -O2 -g -pipe -Wall
 LDFLAGS ?= -Wl,-z,relro
 
-CFLAGS  += -std=c99 -DDISCORD_PLUGIN_VERSION='"$(PLUGIN_VERSION)"'
+CFLAGS  += -std=c99 -DDISCORD_PLUGIN_VERSION='"$(PLUGIN_VERSION)"' -DMARKDOWN_PIDGIN
 
 # Comment out to disable localisation
 CFLAGS += -DENABLE_NLS
@@ -90,7 +90,7 @@
 
 CFLAGS += -DLOCALEDIR=\"$(LOCALEDIR)\"
 
-C_FILES :=
+C_FILES := markdown.c
 PURPLE_COMPAT_FILES :=
 PURPLE_C_FILES := libdiscord.c $(C_FILES)
 
@@ -129,6 +129,15 @@
 	mkdir -m $(DIR_PERM) -p $(DISCORD_DEST)
 	install -m $(LIB_PERM) -p $(DISCORD_TARGET) $(DISCORD_DEST)
 
+discord16.png: discord-alt-logo.svg
+	convert -strip -background none discord-alt-logo.svg -resize 16x16 discord16.png
+
+discord22.png: discord-alt-logo.svg
+	convert -strip -background none discord-alt-logo.svg -resize 22x22 discord22.png
+
+discord48.png: discord-alt-logo.svg
+	convert -strip -background none discord-alt-logo.svg -resize 48x48 discord48.png
+
 install-icons: discord16.png discord22.png discord48.png
 	mkdir -m $(DIR_PERM) -p $(DISCORD_ICONS_DEST)/16
 	mkdir -m $(DIR_PERM) -p $(DISCORD_ICONS_DEST)/22
@@ -144,6 +153,7 @@
 
 clean:
 	rm -f $(DISCORD_TARGET)
+	rm -f discord*.png
 
 gdb:
 	gdb --args pidgin -c ~/.fake_purple -n -m

=== debian/changelog ===
purple-discord (0.9.2019.07.29.git.763ba75-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Fri, 02 Aug 2019 13:57:30 +0800

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  imagemagick,
  libglib2.0-dev,
  libjson-glib-dev,
  libpurple-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/

## purple-discord 0.9.2019.11.04.git.6552cde

=== debian/changelog ===
purple-discord (0.9.2019.11.04.git.6552cde-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Fri, 08 Nov 2019 10:03:39 +0800

purple-discord (0.9.2019.10.05.git.862f925-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Mon, 07 Oct 2019 14:30:00 +0800

purple-discord (0.9.2019.08.26.git.df0d11a-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Fri, 30 Aug 2019 09:30:58 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libpurple-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/

## purple-discord 0.9.2020.04.05.git.db7dc79

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,7 @@
   DISCORD_DEST = "$(PROGFILES32)/Pidgin/plugins"
   DISCORD_ICONS_DEST = "$(PROGFILES32)/Pidgin/pixmaps/pidgin/protocols"
   LOCALEDIR = "$(PROGFILES32)/Pidgin/locale"
+  LOCALE_DEST = $(LOCALEDIR)
 else
   UNAME_S := $(shell uname -s)
 
@@ -67,17 +68,20 @@
       DISCORD_TARGET = FAILNOPURPLE
       DISCORD_DEST =
       DISCORD_ICONS_DEST =
+	  LOCALE_DEST = 
     else
       DISCORD_TARGET = libdiscord.so
       DISCORD_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=plugindir purple`
       DISCORD_ICONS_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple`/pixmaps/pidgin/protocols
-      LOCALEDIR = $(DESTDIR)$(shell $(PKG_CONFIG) --variable=datadir purple)/locale
+      LOCALEDIR = $(shell $(PKG_CONFIG) --variable=datadir purple)/locale
+	  LOCALE_DEST = $(DESTDIR)$(LOCALEDIR)
     endif
   else
     DISCORD_TARGET = libdiscord3.so
     DISCORD_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=plugindir purple-3`
     DISCORD_ICONS_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple-3`/pixmaps/pidgin/protocols
-    LOCALEDIR = $(DESTDIR)$(shell $(PKG_CONFIG) --variable=datadir purple-3)/locale
+    LOCALEDIR = $(shell $(PKG_CONFIG) --variable=datadir purple-3)/locale
+	LOCALE_DEST = $(DESTDIR)$(LOCALEDIR)
   endif
 endif
 
@@ -123,7 +127,8 @@
 	msgfmt -o $@ $^
 
 %-locale-install: po/%.mo
-	install -D -m $(FILE_PERM) -p po/$(*F).mo $(LOCALEDIR)/$(*F)/LC_MESSAGES/purple-discord.mo
+	mkdir -m $(DIR_PERM) -p $(LOCALE_DEST)/$(*F)/LC_MESSAGES
+	install -m $(FILE_PERM) -p po/$(*F).mo $(LOCALE_DEST)/$(*F)/LC_MESSAGES/purple-discord.mo
 
 install: $(DISCORD_TARGET) install-icons install-locales
 	mkdir -m $(DIR_PERM) -p $(DISCORD_DEST)

=== debian/changelog ===
purple-discord (0.9.2020.04.05.git.db7dc79-1) unstable; urgency=high

  * New upstream snapshot
    - Adds workaround for crashes in ssl_nss_read (Closes: #955635)

 -- Paul Wise <pabs@debian.org>  Sun, 05 Apr 2020 08:09:21 +0800

purple-discord (0.9.2020.03.10.git.4e71974-1) unstable; urgency=high

  * New upstream snapshot
    - Fixes issues with channel user lists and null names

 -- Paul Wise <pabs@debian.org>  Thu, 12 Mar 2020 11:19:53 +0800

purple-discord (0.9.2020.02.14.git.d47f0bc-1) unstable; urgency=medium

  [ Paul Wise ]
  * New upstream snapshot
  * Bump Standards-Version, no changes needed

  [ lintian-brush ]
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Paul Wise <pabs@debian.org>  Sat, 29 Feb 2020 14:05:33 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libpurple-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/

=== debian/watch ===
# Upstream does not have git tags, this is a workaround
# This still has bugs when there are multiple commits per day
# because uscan doesn't have a way to sort upstream versions by time
version=4
opts="pagemangle=s{(?s)(<relative-time datetime=(.)(\d{4})-(\d{2})-(\d{2}).*?<a href=[^ ]* class=.sha btn btn-outline BtnGroup-item.>\s*(\S+)\s*</a>)}{<a href=$2/uscan/0.9.$3.$4.$5.git.$6$2>0.9.$3.$4.$5.git.$6</a>$1}g,\
downloadurlmangle=s{.*\.git\.([a-f0-9]+)}{https://github.com/EionRobb/purple-discord/archive/$1.tar.gz},\
filenamemangle=s{^/uscan/(.*)}{purple-discord-$1.tar.gz}" \
https://github.com/EionRobb/purple-discord/commits \
/uscan/(0\.9\.\d{4}\.\d{2}\.\d{2}\.git\.[a-f0-9]+)

## purple-discord 0.9.2020.07.17.git.8fd7ceb

=== debian/changelog ===
purple-discord (0.9.2020.07.17.git.8fd7ceb-1) unstable; urgency=medium

  * New upstream snapshot
  * Fix watch file to cope with github HTML layout changes

 -- Paul Wise <pabs@debian.org>  Tue, 28 Jul 2020 10:57:23 +0800

## purple-discord 0.9.2020.10.14.git.8216905

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,6 @@
 endif
 
 CFLAGS	?= -O2 -g -pipe -Wall
-LDFLAGS ?= -Wl,-z,relro
 
 CFLAGS  += -std=c99 -DDISCORD_PLUGIN_VERSION='"$(PLUGIN_VERSION)"' -DMARKDOWN_PIDGIN
 
@@ -61,6 +60,7 @@
     CC = gcc
   else
     CC ?= gcc
+    LDFLAGS ?= -Wl,-z,relro
   endif
 
   ifeq ($(shell $(PKG_CONFIG) --exists purple-3 2>/dev/null && echo "true"),)
@@ -81,7 +81,7 @@
     DISCORD_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=plugindir purple-3`
     DISCORD_ICONS_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple-3`/pixmaps/pidgin/protocols
     LOCALEDIR = $(shell $(PKG_CONFIG) --variable=datadir purple-3)/locale
-	LOCALE_DEST = $(DESTDIR)$(LOCALEDIR)
+    LOCALE_DEST = $(DESTDIR)$(LOCALEDIR)
   endif
 endif

=== debian/changelog ===
purple-discord (0.9.2020.10.14.git.8216905-1) unstable; urgency=medium

  * New upstream snapshot
  * Switch watch file to mode=git as HTML layout changes too much
  * Bump debhelper compat level, no changes needed
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Thu, 04 Feb 2021 12:50:58 +0800

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  imagemagick,
  libglib2.0-dev,
  libjson-glib-dev,
  libpurple-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PLUGIN_VERSION = $(DEB_VERSION)

%:
	dh $@

=== debian/watch ===
version=4
opts="mode=git,pretty=0.9.%cd.git.%h,date=%Y.%m.%d" \
https://github.com/EionRobb/purple-discord.git \
HEAD

## purple-discord 0.9.2022.02.17.git.df61f37

=== Makefile ===
--- 
+++ 
@@ -25,9 +25,9 @@
 PLUGIN_VERSION ?= 0.9.$(shell date +%Y.%m.%d)
 endif
 
-CFLAGS	?= -O2 -g -pipe -Wall
+CFLAGS ?= -O2 -g -pipe -Wall
 
-CFLAGS  += -std=c99 -DDISCORD_PLUGIN_VERSION='"$(PLUGIN_VERSION)"' -DMARKDOWN_PIDGIN
+CFLAGS += -std=c99 -DDISCORD_PLUGIN_VERSION='"$(PLUGIN_VERSION)"' -DMARKDOWN_PIDGIN
 
 # Comment out to disable localisation
 CFLAGS += -DENABLE_NLS
@@ -68,13 +68,13 @@
       DISCORD_TARGET = FAILNOPURPLE
       DISCORD_DEST =
       DISCORD_ICONS_DEST =
-	  LOCALE_DEST = 
+      LOCALE_DEST =
     else
       DISCORD_TARGET = libdiscord.so
       DISCORD_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=plugindir purple`
       DISCORD_ICONS_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple`/pixmaps/pidgin/protocols
       LOCALEDIR = $(shell $(PKG_CONFIG) --variable=datadir purple)/locale
-	  LOCALE_DEST = $(DESTDIR)$(LOCALEDIR)
+      LOCALE_DEST = $(DESTDIR)$(LOCALEDIR)
     endif
   else
     DISCORD_TARGET = libdiscord3.so
@@ -85,30 +85,42 @@
   endif
 endif
 
-WIN32_CFLAGS = -std=c99 -I$(WIN32_DEV_TOP)/glib-2.28.8/include -I$(WIN32_DEV_TOP)/glib-2.28.8/include/glib-2.0 -I$(WIN32_DEV_TOP)/glib-2.28.8/lib/glib-2.0/include -I$(WIN32_DEV_TOP)/json-glib-0.14/include/json-glib-1.0 -DENABLE_NLS -DDISCORD_PLUGIN_VERSION='"$(PLUGIN_VERSION)"' -Wall -Wextra -Werror -Wno-deprecated-declarations -Wno-unused-parameter -fno-strict-aliasing -Wformat
+WIN32_CFLAGS = -std=c99 -I$(WIN32_DEV_TOP)/glib-2.28.8/include -I$(WIN32_DEV_TOP)/glib-2.28.8/include/glib-2.0 -I$(WIN32_DEV_TOP)/glib-2.28.8/lib/glib-2.0/include -I$(WIN32_DEV_TOP)/json-glib-0.14/include/json-glib-1.0 -DENABLE_NLS -DDISCORD_PLUGIN_VERSION='"$(PLUGIN_VERSION)"' -DMARKDOWN_PIDGIN -Wall -Wextra -Werror -Wno-deprecated-declarations -Wno-unused-parameter -fno-strict-aliasing -Wformat
 WIN32_LDFLAGS = -L$(WIN32_DEV_TOP)/glib-2.28.8/lib -L$(WIN32_DEV_TOP)/json-glib-0.14/lib -lpurple -lintl -lglib-2.0 -lgobject-2.0 -ljson-glib-1.0 -g -ggdb -static-libgcc -lz
 WIN32_PIDGIN2_CFLAGS = -I$(PIDGIN_TREE_TOP)/libpurple -I$(PIDGIN_TREE_TOP) $(WIN32_CFLAGS)
 WIN32_PIDGIN3_CFLAGS = -I$(PIDGIN3_TREE_TOP)/libpurple -I$(PIDGIN3_TREE_TOP) -I$(WIN32_DEV_TOP)/gplugin-dev/gplugin $(WIN32_CFLAGS)
 WIN32_PIDGIN2_LDFLAGS = -L$(PIDGIN_TREE_TOP)/libpurple $(WIN32_LDFLAGS)
 WIN32_PIDGIN3_LDFLAGS = -L$(PIDGIN3_TREE_TOP)/libpurple -L$(WIN32_DEV_TOP)/gplugin-dev/gplugin $(WIN32_LDFLAGS) -lgplugin
 
+ifneq ($(USE_QRCODE_AUTH), 0)
+	WIN32_CFLAGS += -DUSE_QRCODE_AUTH -I$(WIN32_DEV_TOP)/nss-3.24-nspr-4.12/include -I$(WIN32_DEV_TOP)/qrencode-4.1.1
+	WIN32_LDFLAGS += -L$(WIN32_DEV_TOP)/nss-3.24-nspr-4.12/lib -L$(WIN32_DEV_TOP)/qrencode-4.1.1 -lnss3 -lqrencode
+	
+	ifneq ($(OS),Windows_NT)
+		CFLAGS += $(shell ${PKG_CONFIG} --cflags nss libqrencode) -DUSE_QRCODE_AUTH
+		LDFLAGS += $(shell ${PKG_CONFIG} --libs nss libqrencode)
+	endif
+endif
+
 CFLAGS += -DLOCALEDIR=\"$(LOCALEDIR)\"
 
 C_FILES := markdown.c
-PURPLE_COMPAT_FILES :=
+PURPLE_COMPAT_FILES := purple2compat/*.c
 PURPLE_C_FILES := libdiscord.c $(C_FILES)
 
-.PHONY:	all install FAILNOPURPLE clean install-icons install-locales %-locale-install
+.PHONY: all build install FAILNOPURPLE clean build-icons install-icons build-locales install-locales %-locale-install
 
 LOCALES = $(patsubst %.po, %.mo, $(wildcard po/*.po))
 
 all: $(DISCORD_TARGET)
 
+build: all build-icons build-locales
+
 libdiscord.so: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
-	$(CC) -fPIC $(CFLAGS) $(CPPFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple glib-2.0 json-glib-1.0 --libs --cflags`  $(INCLUDES) -Ipurple2compat -g -ggdb
+	$(CC) -fPIC $(CFLAGS) $(CPPFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple glib-2.0 json-glib-1.0 zlib --libs --cflags`  $(INCLUDES) -Ipurple2compat -g -ggdb
 
 libdiscord3.so: $(PURPLE_C_FILES)
-	$(CC) -fPIC $(CFLAGS) $(CPPFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple-3 glib-2.0 json-glib-1.0 --libs --cflags` $(INCLUDES)  -g -ggdb
+	$(CC) -fPIC $(CFLAGS) $(CPPFLAGS) -shared -o $@ $^ $(LDFLAGS) `$(PKG_CONFIG) purple-3 glib-2.0 json-glib-1.0 zlib --libs --cflags` $(INCLUDES)  -g -ggdb
 
 libdiscord.dll: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
 	$(WIN32_CC) -O0 -g -ggdb -shared -o $@ $^ $(WIN32_PIDGIN2_CFLAGS) $(WIN32_PIDGIN2_LDFLAGS) -Ipurple2compat
@@ -125,6 +137,8 @@
 
 po/%.mo: po/%.po
 	msgfmt -o $@ $^
+
+build-locales: $(LOCALES)
 
 %-locale-install: po/%.mo
 	mkdir -m $(DIR_PERM) -p $(LOCALE_DEST)/$(*F)/LC_MESSAGES
@@ -143,7 +157,9 @@
 discord48.png: discord-alt-logo.svg
 	convert -strip -background none discord-alt-logo.svg -resize 48x48 discord48.png
 
-install-icons: discord16.png discord22.png discord48.png
+build-icons: discord16.png discord22.png discord48.png
+
+install-icons: build-icons
 	mkdir -m $(DIR_PERM) -p $(DISCORD_ICONS_DEST)/16
 	mkdir -m $(DIR_PERM) -p $(DISCORD_ICONS_DEST)/22
 	mkdir -m $(DIR_PERM) -p $(DISCORD_ICONS_DEST)/48
@@ -151,7 +167,7 @@
 	install -m $(FILE_PERM) -p discord22.png $(DISCORD_ICONS_DEST)/22/discord.png
 	install -m $(FILE_PERM) -p discord48.png $(DISCORD_ICONS_DEST)/48/discord.png
 
-install-locales: $(patsubst po/%.po, %-locale-install, $(wildcard po/*.po))
+install-locales: build-locales $(patsubst po/%.po, %-locale-install, $(wildcard po/*.po))
 
 FAILNOPURPLE:
 	echo "You need libpurple development headers installed to be able to compile this plugin"
@@ -159,6 +175,7 @@
 clean:
 	rm -f $(DISCORD_TARGET)
 	rm -f discord*.png
+	rm -f po/*.mo
 
 gdb:
 	gdb --args pidgin -c ~/.fake_purple -n -m

=== debian/changelog ===
purple-discord (0.9.2022.02.17.git.df61f37-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Sun, 20 Feb 2022 18:32:02 +0800

purple-discord (0.9.2022.02.07.git.de9e686-1) unstable; urgency=medium

  * New upstream snapshot
    - Adds QR code login
  * Add build deps for QR feature
  * Update copyright years for QR feature

 -- Paul Wise <pabs@debian.org>  Tue, 08 Feb 2022 13:36:07 +0800

purple-discord (0.9.2022.01.10.git.d8af468-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Sun, 23 Jan 2022 14:52:28 +0800

purple-discord (0.9.2021.11.24.git.de899b3-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump Debian copyright year

 -- Paul Wise <pabs@debian.org>  Mon, 06 Dec 2021 07:15:43 +0800

purple-discord (0.9.2021.11.13.git.2a91060-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Sun, 14 Nov 2021 09:03:18 +0800

purple-discord (0.9.2021.09.24.git.ab7b944-1) unstable; urgency=medium

  * New upstream snapshot
    - Fixes compatibility with libpurple 2.14.7

 -- Paul Wise <pabs@debian.org>  Sun, 26 Sep 2021 12:47:36 +0800

purple-discord (0.9.2021.07.29.git.6c5a778-1) unstable; urgency=medium

  * Upload to unstable now that the freeze has ended
  * New upstream snapshot
    - Simplify/remove workarounds for build issues merged upstream
  * Declare compliance with Debian Policy 4.6.0, no changes needed

 -- Paul Wise <pabs@debian.org>  Wed, 01 Sep 2021 13:32:55 +0800

purple-discord (0.9.2021.07.12.git.a065169-1) experimental; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Thu, 29 Jul 2021 12:42:12 +0800

purple-discord (0.9.2021.05.31.git.fbbe0f9-1) experimental; urgency=medium

  * New upstream snapshot
    - Fixes crashes on reconnect command

 -- Paul Wise <pabs@debian.org>  Tue, 01 Jun 2021 08:02:51 +0800

purple-discord (0.9.2021.05.20.git.414b63b-1) experimental; urgency=medium

  * Upload to experimental due to the bullseye freeze
  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Sun, 23 May 2021 09:12:16 +0800

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,12 @@
  imagemagick,
  libglib2.0-dev,
  libjson-glib-dev,
+ libnss3-dev,
  libpurple-dev,
+ libqrencode-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/

## purple-discord 0.9.2022.05.14.git.5502309

=== debian/changelog ===
purple-discord (0.9.2022.05.14.git.5502309-1) unstable; urgency=medium

  * New upstream snapshot
  * Declare compliance with Debian Policy 4.6.1, no changes needed

 -- Paul Wise <pabs@debian.org>  Sun, 07 Aug 2022 16:34:13 +0800

purple-discord (0.9.2022.03.29.git.698907f-1) unstable; urgency=medium

  * New upstream snapshot

 -- Paul Wise <pabs@debian.org>  Mon, 04 Apr 2022 14:17:37 +0800

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libqrencode-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/

## purple-discord 0.9.2022.10.03.git.df93a22

=== debian/changelog ===
purple-discord (0.9.2022.10.03.git.df93a22-1) unstable; urgency=medium

  * New upstream snapshot
  * Add Multi-Arch: same as requested by the hinter

 -- Paul Wise <pabs@debian.org>  Sun, 13 Nov 2022 12:33:39 +0800

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 Package: purple-discord
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

## purple-discord 0.9.2023.02.15.git.4a09188

=== debian/changelog ===
purple-discord (0.9.2023.02.15.git.4a09188-2) unstable; urgency=medium

  * Update the package maintainer to the one for orphaned packages.

 -- Paul Wise <pabs@debian.org>  Wed, 01 Mar 2023 15:51:59 +0800

purple-discord (0.9.2023.02.15.git.4a09188-1) unstable; urgency=medium

  * New upstream snapshot
  * Orphan package (See: #1032178)
  * Declare compliance with Debian Policy 4.6.2, no changes needed

 -- Paul Wise <pabs@debian.org>  Wed, 01 Mar 2023 15:24:01 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: purple-discord
 Section: net
 Priority: optional
-Maintainer: Paul Wise <pabs@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  imagemagick,
@@ -12,7 +12,7 @@
  libqrencode-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/

## purple-discord 0.9.2023.10.23.git.f8b0c59

=== Makefile ===
--- 
+++ 
@@ -86,7 +86,7 @@
 endif
 
 WIN32_CFLAGS = -std=c99 -I$(WIN32_DEV_TOP)/glib-2.28.8/include -I$(WIN32_DEV_TOP)/glib-2.28.8/include/glib-2.0 -I$(WIN32_DEV_TOP)/glib-2.28.8/lib/glib-2.0/include -I$(WIN32_DEV_TOP)/json-glib-0.14/include/json-glib-1.0 -DENABLE_NLS -DDISCORD_PLUGIN_VERSION='"$(PLUGIN_VERSION)"' -DMARKDOWN_PIDGIN -Wall -Wextra -Werror -Wno-deprecated-declarations -Wno-unused-parameter -fno-strict-aliasing -Wformat
-WIN32_LDFLAGS = -L$(WIN32_DEV_TOP)/glib-2.28.8/lib -L$(WIN32_DEV_TOP)/json-glib-0.14/lib -lpurple -lintl -lglib-2.0 -lgobject-2.0 -ljson-glib-1.0 -g -ggdb -static-libgcc -lz
+WIN32_LDFLAGS = -L$(WIN32_DEV_TOP)/glib-2.28.8/lib -L$(WIN32_DEV_TOP)/json-glib-0.14/lib -lpurple -lintl -lglib-2.0 -lgobject-2.0 -lgio-2.0 -ljson-glib-1.0 -g -ggdb -static-libgcc -lz
 WIN32_PIDGIN2_CFLAGS = -I$(PIDGIN_TREE_TOP)/libpurple -I$(PIDGIN_TREE_TOP) $(WIN32_CFLAGS)
 WIN32_PIDGIN3_CFLAGS = -I$(PIDGIN3_TREE_TOP)/libpurple -I$(PIDGIN3_TREE_TOP) -I$(WIN32_DEV_TOP)/gplugin-dev/gplugin $(WIN32_CFLAGS)
 WIN32_PIDGIN2_LDFLAGS = -L$(PIDGIN_TREE_TOP)/libpurple $(WIN32_LDFLAGS)

=== debian/changelog ===
purple-discord (0.9.2023.10.23.git.f8b0c59-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Patrick Zajda <patrick@zajda.fr>  Tue, 28 Nov 2023 07:09:38 +0100

purple-discord (0.9.2023.10.23.git.f8b0c59-1) unstable; urgency=medium

  * New upstream snapshot
  * New maintainer (Closes: #1032178)

 -- Patrick Zajda <patrick@zajda.fr>  Mon, 20 Nov 2023 16:36:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: purple-discord
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Patrick Zajda <patrick@zajda.fr>
 Build-Depends:
  debhelper-compat (= 13),
  imagemagick,

## purple-discord 0.9.2024.09.29.git.32899c2

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 PROTOC_C ?= protoc-c
 PKG_CONFIG ?= pkg-config
+XGETTEXT ?= xgettext
 
 DIR_PERM = 0755
 LIB_PERM = 0755
@@ -129,7 +130,7 @@
 	$(WIN32_CC) -O0 -g -ggdb -shared -o $@ $^ $(WIN32_PIDGIN3_CFLAGS) $(WIN32_PIDGIN3_LDFLAGS)
 
 po/purple-discord.pot: libdiscord.c
-	xgettext $^ -k_ --no-location -o $@
+	$(XGETTEXT) $^ -k_ --no-location -o $@
 
 po/%.po: po/purple-discord.pot
 	msgmerge $@ po/purple-discord.pot > tmp-$*

=== debian/changelog ===
purple-discord (0.9.2024.09.29.git.32899c2-1) unstable; urgency=medium

  * New upstream snapshot
  * Declare compliance with Debian Policy 4.7.0, no changes needed
  * d/copyright: update purple2compat copyright

 -- Patrick Zajda <patrick@zajda.fr>  Sun, 29 Sep 2024 14:12:30 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,11 @@
  libqrencode-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/
+Vcs-Git: https://salsa.debian.org/debian/purple-discord.git
+Vcs-Browser: https://salsa.debian.org/debian/purple-discord
 
 Package: purple-discord
 Architecture: any

## purple-discord 0.9.2025.03.09.git.465575d

=== debian/changelog ===
purple-discord (0.9.2025.03.09.git.465575d-1) unstable; urgency=medium

  * New upstream snapshot
  * Declare compliance with Debian Policy 4.7.2, no changes needed
  * d/salsa-ci.yml: add CI file, disable Piuparts

 -- Patrick Zajda <patrick@zajda.fr>  Mon, 03 Mar 2025 14:25:05 +0100

## purple-discord 0.9.2025.06.29.git.c49e7c7

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 WIN32_CC ?= $(WIN32_DEV_TOP)/mingw-4.7.2/bin/gcc
 
-PROTOC_C ?= protoc-c
 PKG_CONFIG ?= pkg-config
 XGETTEXT ?= xgettext

=== debian/changelog ===
purple-discord (0.9.2025.06.29.git.c49e7c7-1) unstable; urgency=medium

  * New upstream snapshot

 -- Patrick Zajda <patrick@zajda.fr>  Sun, 27 Jul 2025 16:38:06 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libqrencode-dev,
  librsvg2-bin,
  libz-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/EionRobb/purple-discord/
 Vcs-Git: https://salsa.debian.org/debian/purple-discord.git

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 
 %:
 	dh $@
+
+# workaround for https://github.com/EionRobb/purple-discord/issues/341
+override_dh_auto_build:
+	dh_auto_build -- build
